
Quantification tool - Bug #1281

Correct displayed order for Stock on Order’s batches

09/09/2014 06:18 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 09/09/2014

Priority: High Due date: 09/11/2014

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 3.0 Spent time: 0.00 hour

Description

Based on the “Expected receiving date” the oldest should be displayed at the top and the newest at the bottom. The “Expiration date”

in this case shouldn’t be considered as long as this isn’t a mandatory field and can be left blank by the users.

See attached how it is working now.

History

#1 - 09/11/2014 06:17 AM - Oleksii Kurasov

- Due date set to 09/11/2014

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

It wasn't easy, because this data also uses for calculation. For batches is no problem, natural sort order and sort order by display is by expiry date.

For orders natural sort order is by expiry date, but display is by arrival date. It's guarantee that batches from orders will be consumed by general rule -

"the batches with the lowest expiry date will consumed first, but batches in orders not early the arrival date"

#2 - 09/11/2014 01:06 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.

Files

Stock on order display.JPG 68.4 KB 09/09/2014 Luis Gustavo do Valle Bastos
